Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.renderable
Class GLSLTextLabelBase

    java.lang.Object
      de.grogra.imp3d.glsl.renderable.GLSLRenderable
          de.grogra.imp3d.glsl.renderable.GLSLInstanceableRenderable
              de.grogra.imp3d.glsl.renderable.GLSLBitCache
                  de.grogra.imp3d.glsl.renderable.GLSLTextLabelBase

Direct Known Subclasses:
  GLSLNumericLabel, GLSLTextLabel

    public abstract class GLSLTextLabelBase

extends GLSLBitCache

Field Summary
`protected static int` | `BOTTOM_MASK`
`protected java.lang.String` | `caption`
`protected Color3f` | `color`
`protected Color3f` | `fillColor`
`protected static int` | `FILLED_MASK`
`protected java.awt.Font` | `font`
`protected static int` | `HORIZONTAL_MASK`
`protected static int` | `LEFT_MASK`
`protected static int` | `OUTLINED_MASK`
`protected static int` | `RIGHT_MASK`
`protected static int` | `TOP_MASK`
`static int` | `USED_BITS`
`protected static int` | `VERTICAL_MASK`

Fields inherited from class de.grogra.imp3d.glsl.renderable.GLSLBitCache
`BITMASK`

Fields inherited from class de.grogra.imp3d.glsl.renderable.GLSLInstanceableRenderable
`DIRECT, INDIRECT, INSTANCIATED`

Constructor Summary
`GLSLTextLabelBase()`

Method Summary
`void` | `draw(OpenGLState glState, RenderState rs)`
`int` | `getHorizontalAlignment()`
`int` | `getVerticalAlignment()`
`void` | `setAlignment(int horizontalAlignment, int verticalAlignment)`
`void` | `setHorizontalAlignment(int alignment)`
`void` | `setVerticalAlignment(int alignment)`
`protected void` | `updateInstanceByInstancing(Renderable reference, GraphState gs)`
`protected void` | `updateInstanceDirect(Renderable reference)`
`void` | `updateInstanceIndirect(java.lang.Object state, boolean asNode, GraphState gs)`

Methods inherited from class de.grogra.imp3d.glsl.renderable.GLSLBitCache
`getBool, setBool`

Methods inherited from class de.grogra.imp3d.glsl.renderable.GLSLInstanceableRenderable
`updateInstance`

Methods inherited from class de.grogra.imp3d.glsl.renderable.GLSLRenderable
`activateShader, drawAlt, findShader, getInstance, instanceFor, isShaderDependant`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOTTOM_MASK

    protected static final int BOTTOM_MASK

See Also:
  Constant Field Values

### caption

    protected java.lang.String caption

### color

    protected Color3f color

### fillColor

    protected Color3f fillColor

### FILLED_MASK

    protected static final int FILLED_MASK

See Also:
  Constant Field Values

### font

    protected java.awt.Font font

### HORIZONTAL_MASK

    protected static final int HORIZONTAL_MASK

See Also:
  Constant Field Values

### LEFT_MASK

    protected static final int LEFT_MASK

See Also:
  Constant Field Values

### OUTLINED_MASK

    protected static final int OUTLINED_MASK

See Also:
  Constant Field Values

### RIGHT_MASK

    protected static final int RIGHT_MASK

See Also:
  Constant Field Values

### TOP_MASK

    protected static final int TOP_MASK

See Also:
  Constant Field Values

### USED_BITS

    public static final int USED_BITS

See Also:
  Constant Field Values

### VERTICAL_MASK

    protected static final int VERTICAL_MASK

See Also:
  Constant Field Values

Constructor Detail

### GLSLTextLabelBase

    public GLSLTextLabelBase()

Method Detail

### draw

    public void draw(OpenGLState glState,
                     RenderState rs)

  Specified by:
    `draw` in class `GLSLRenderable`

### getHorizontalAlignment

    public int getHorizontalAlignment()

### getVerticalAlignment

    public int getVerticalAlignment()

### setAlignment

    public void setAlignment(int horizontalAlignment,
                             int verticalAlignment)

### setHorizontalAlignment

    public void setHorizontalAlignment(int alignment)

### setVerticalAlignment

    public void setVerticalAlignment(int alignment)

### updateInstanceByInstancing

    protected void updateInstanceByInstancing(Renderable reference,
                                              GraphState gs)

  Specified by:
    `updateInstanceByInstancing` in class `GLSLInstanceableRenderable`

### updateInstanceDirect

    protected void updateInstanceDirect(Renderable reference)

  Specified by:
    `updateInstanceDirect` in class `GLSLInstanceableRenderable`

### updateInstanceIndirect

    public void updateInstanceIndirect(java.lang.Object state,
                                       boolean asNode,
                                       GraphState gs)

  Specified by:
    `updateInstanceIndirect` in class `GLSLInstanceableRenderable`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD